New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

glibc incompatibilities #177

Closed
brucellino opened this Issue May 4, 2017 · 1 comment

Comments

Projects
None yet
1 participant
@brucellino
Member

brucellino commented May 4, 2017

There seem to be many instances where jobs are failing on older containers - mostly centos6 - with the following errors :

undefined reference to `memcpy@GLIBC_2.14'

This is due to a mismatch between glibc in the container (2.12) and the glibc which was used to compile the lib to which the code is linking (2.14).

This should not be the case, since we are

This has been, it seems, discussed at https://forums.docker.com/t/libc-incompatibilities-when-will-they-emerge/9895/3

@brucellino

This comment has been minimized.

Show comment
Hide comment
@brucellino
Member

brucellino commented Dec 2, 2017

@brucellino brucellino closed this Dec 2, 2017

@wafflebot wafflebot bot removed the in progress label Dec 2, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment